<?php namespace Phpcmf\Model\Mall;

// 模块内容模型类

class Content extends \Phpcmf\Model\Content {


    // 商铺id号
    public function get_mall_id($uid) {
        $rt = $this->db->table(SITE_ID.'_'.MOD_DIR.'_index')->where('uid', $uid)->get()->getRowArray();
        if (!$rt) {
            return 0;
        } elseif ($rt['status'] == 9) {
            return (int)$rt['id'];
        } elseif ($rt['status'] == 10) {
            return 'delelte';
        } else {
            return -(int)$rt['id'];
        }
    }

    // 保存内容重写
    public function save($id, $data, $old = []) {

        // 验证店铺存在
        if (!$id && $this->db->table(SITE_ID.'_'.MOD_DIR.'_index')->where('uid', $data[1]['uid'])->get()->getRowArray()) {
            return dr_return_data(0, dr_lang('该账户已经创建过店铺'));
        }

        // 新店铺创建必须审核
        if (IS_MEMBER && !$id) {
            $data[1]['status'] = 1;
        }

        return parent::save($id, $data, $old);
    }
}